package cn.rankin.apiweb.service.event;

import cn.rankin.common.utils.api.model.APIResult;
import cn.rankin.data.api.user.dto.EventLogDTO;
import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

@FeignClient(name = "${service.user.name}")
public interface EventClient {

    @RequestMapping(value = "/event", method = RequestMethod.POST)
    APIResult<Boolean> addLog(@RequestBody EventLogDTO eventLogDTO);
}
